DCMTK: DcmExtendedNegotiationItem Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DcmExtendedNegotiationItem Class Reference

this helper class is a extended negotiation list entry. More...

## Public Member Functions
| DcmExtendedNegotiationItem (const DcmUIDHandler &abstractSyntax, const unsigned char *data, Uint32 length)
| constructor.
| DcmExtendedNegotiationItem (const DcmExtendedNegotiationItem &arg)
| copy constructor
| ~DcmExtendedNegotiationItem ()
| destructor
DcmExtendedNegotiationItem & | operator= (const DcmExtendedNegotiationItem &arg)
| assignment operator
OFBool | matches (const DcmUIDHandler &arg) const
| checks if the given argument matches the abstract syntax UID maintained by this object
const DcmUIDHandler & | getAbstractSyntax () const
| returns a const reference to the abstract syntax UID maintained by this object
const char * | getAbstractSyntaxC () const
| returns the abstract syntax UID maintained by this object as a C string
Uint32 | getLength () const
| returns the length of the raw data block in bytes
const unsigned char * | getRaw () const
| returns a pointer to the raw data block
OFBool | operator== (const DcmExtendedNegotiationItem &arg) const
| comparison operator.

## Private Attributes
unsigned char * | raw_
| pointer to raw data block
Uint32 | length_
| length of raw data block, in bytes
DcmUIDHandler | uid_
| abstract syntax UID

## Detailed Description

this helper class is a extended negotiation list entry.

Not intended for use by the end user.

## Constructor & Destructor Documentation

## ◆ DcmExtendedNegotiationItem() [1/2]

DcmExtendedNegotiationItem::DcmExtendedNegotiationItem | ( | const DcmUIDHandler & | abstractSyntax,
|  | const unsigned char * | data,
|  | Uint32 | length )

constructor.

Raw data is copied into this object.

Parameters

  abstractSyntax | abstract syntax
  data | pointer to raw data, must not be NULL
  length | length of data block pointed to by data, in bytes

Referenced by DcmExtendedNegotiationItem(), operator=(), and operator==().

## ◆ DcmExtendedNegotiationItem() [2/2]

DcmExtendedNegotiationItem::DcmExtendedNegotiationItem | ( | const DcmExtendedNegotiationItem & | arg | ) |

copy constructor

Parameters

  arg | the item to copy

References DcmExtendedNegotiationItem().

## Member Function Documentation

## ◆ getAbstractSyntax()

const DcmUIDHandler & DcmExtendedNegotiationItem::getAbstractSyntax | ( |  | ) | const
| inline

returns a const reference to the abstract syntax UID maintained by this object

Returns
  reference to abstract syntax UID

References uid_.

## ◆ getAbstractSyntaxC()

const char * DcmExtendedNegotiationItem::getAbstractSyntaxC | ( |  | ) | const
| inline

returns the abstract syntax UID maintained by this object as a C string

Returns
  reference to abstract syntax UID

References uid_.

## ◆ matches()

OFBool DcmExtendedNegotiationItem::matches | ( | const DcmUIDHandler & | arg | ) | const
| inline

checks if the given argument matches the abstract syntax UID maintained by this object

Parameters

  arg | argument to compare to

Returns
  true if equal, false otherwise

References uid_.

## ◆ operator=()

DcmExtendedNegotiationItem & DcmExtendedNegotiationItem::operator= | ( | const DcmExtendedNegotiationItem & | arg | ) |

assignment operator

Parameters

  arg | the item to assign

References DcmExtendedNegotiationItem().

## ◆ operator==()

OFBool DcmExtendedNegotiationItem::operator== | ( | const DcmExtendedNegotiationItem & | arg | ) | const

comparison operator.

Parameters

  arg | object to compare with

Returns
  true if equal

References DcmExtendedNegotiationItem().

The documentation for this class was generated from the following file:

- dcmnet/include/dcmtk/dcmnet/dccfenmp.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2